【观点】离了Linux，我就活不了！
================================================================================

本文是为那些想要尝试Linux的用户所写，不过如果你已经是一名Linuxer，这里也有一些你应该知道并为之自豪的事实。

讨厌长篇大论？直接跳到最后的部分 “**所有内容的整理**”。

### 为什么我离不开Linux？ ###

我坚持这样认为有我自己的原因。每隔几天或几个月，我重启机器的时候，Linux的启动过程都令我陶醉，而你也许会惊奇大多数操作系统并不是这样的。

### 先想象一些场景：###

1. 你的机器经常崩溃。
2. 它慢的令人发指。
3. 未经你允许，文件文件夹就自动建立/删除。
4. 机器莫名其妙的关闭。

什么状况？真相只有一个！你中病毒了！而在Linux上，这样的情况几乎不会发生，甚至可以说"根本没有"。:) 

### 为什么/那又如何? ###

再想象一下，此时此刻，有成百上千个人正在为Linux编写和检查代码，因此Linux一直在不断的发展壮大，而几乎全世界任何开发者都可以看到“代码写的是什么？”，甚至指出是否哪里有缺陷。

**1994年3月14日，Linux 1.0.0发布，那时它只有176250行代码。**

**到了2013年，Linux 3.10发布时，它已经拥有15803499行代码。**
 
另外一件事，是Linux的设计方式。不像其它一些操作系统，在Linux上，几乎所有的复杂任务都需要root权限。例如在windows上，你进入某些系统文件夹，删除了一些东西（为什么你会这么做呢？恩，也可能是病毒干的 —— 它们确实会这么干。另外，我见过有些人为了释放内存也会这么做）。虽然当时什么都没发生，但是在你下一次启动时...（这里我不敢再往下描述了）。而在Linux上，任何时候当你试图对系统干点什么，它都会提示你需要root密码。那如果我就是root用户，而我又把系统搞砸了，怎么办？这是最坏的情况，但是仍然会有很多人指导你如何修复它。

**当你在街上摔倒的时候，一群热心的陌生人跑过来帮助你，你会有什么感觉？爱和支持是无价的，你会感受的到！**

![](http://180016988.r.cdn77.net/wp-content/uploads/2013/10/linux.png)

**稳定性** - Linux机器可以无休止地运行下去。而通过一个简单的“uptime”命令就可以让你知道机器已经运行了多久。你永远不需要关机，设备基本上都是热插拔的。当然其它有的操作系统也可以报告运行时间，但是正如之前所说，Linux机器很少崩溃、蓝屏、死机:D，除非你有意要搞砸它。

老话说得好 “**Linux是很坚强的，除非，面对的是熊孩子！**”

为了使机器远离病毒、木马，你需要做很多工作。一项研究表明，（在没有任何防护措施的情况下，）连接到网络之后，windows被入侵的平均时间是40分钟，而在Linux上 - 你就像老板一样什么都不用做，也就是说，在操作系统之外不需要安装任何东西（，黑客也无法入侵）。

**安全性增强** - Iptables。这个命令行工具用来设置防火墙是极好的。同样，还有许多其它创新工具，比如*端口试探(port knocking)，chroot监狱（译者注：chroot是在unix系统的一个操作，用于改变当前程序及其子进程真实的磁盘根目录。改变根目录后的程序无法访问或命名正常路径下的文件。这样的根目录就叫做"chroot监狱（chroot jail,chroot prison)"——来自维基百科 ）。

**SELinux** - 如果设置执行了SELinux，即使你赋予某个文件完全访问权限，其他人也无法访问。

其它操作系统的源代码仅仅是开发操作系统的人才可以看到，然而，对于Linux，每个人都可以访问源代码，这意味着发生错误的可能性很小。即使有一些错误发生，也可以及时修复。假如你受到了安全攻击，开发操作系统的公司可能会用一周甚至一个月时间发布一个补丁，这就意味着你的系统在这段时间仍然是脆弱的，但是Linux有不计其数的用户贡献以及积极参与，这是非常好的，不是更好，而是最好。

如果，假设操作系统公司不修复bug呢？之后会怎么样？恭喜，你只能与bug为伴了。然而在linux下，有许多人修复bug，或者如果你是一个很好的程序员，也许你应该自己修复它并且将其贡献到开源社区。 **予人玫瑰，手留余香！**

当有这样一个免费且开源的优秀操作系统（Linux），为什么你还要花钱买一个呢？当你决定投奔开源，学习的机会将会非常多。如果你是一个好的程序员，你应该拿到开源代码，用你自己的方式构建它、设计它，按你自己的想法去使用它。

**全世界的开发人员用宝贵的时间和天才的头脑为你带来这一款“谁与争锋”的操作系统，它，就是Linux。**

**没有crapware**（译者注： 附赠软件，是一个贬义的俚语） - 操作系统是开源的，那其它工具呢？没错，有非常多的工具也是开源的，可以供用户使用。而在其它操作统统中，大部分软件可能会要求你订购服务、升级/购买。更糟糕的是，在用了几天之后，你可能会发现这个玩意儿竟然只是30天的试用版。在这方面，Linux永远不会让你经历这样的沮丧。

**Linux还自带了预装应用程序，这样，简单几步安装之后就可以开始使用啦~**

在linux上，大部分驱动是内核自带的，因此当使用一些硬件组件时你不必到处去寻找驱动程序。

如果你仅仅是一个普通的桌面用户，没有多少事情要用命令行(CLI)来做 - Linux拥有各种桌面环境供你选择，比如Gnome、KDE，没错，你可以称呼它为 "**新一代桌面环境**"

你有没有体验过你的操作系统在运行一段时间后行动迟缓，而你只能通过重新安装系统解决这个问题。恩，试试Linux吧，你会感到惊喜的。它很多年一如既往运行飞快并且反应灵敏，这样，你就能专注于工作，而不用处理反应迟缓的操作系统。


**没有后门(backdoor)** - 当你不了解一个操作系统的源代码时，你怎么能确保它没有后门呢？如果制造商公司留了一个隐秘的后门，当你连接到网络的时候，这会让你的隐私无所遁形。而在Linux上，任何东西都是开放的，因此没有后门可以隐藏在操作系统里。

这里还要谈另一个有趣的事：大部分使用windows的用户可能会有一个沮丧的事，就是当升级一些软件或者操作系统的时候需要重启机器。Linux不需要这样的重启。Linux是一个稳定的、完美运行多年也不需要重启的系统。

**让老机器品味重生** - Linux甚至可以在很老的硬件上完美运行。不像其它的操作系统，需要升级硬件才能使用。

### 所有内容的整理..###

有免费的，为什么还要使用非法的（盗版）

- 赋予老机器第二春 
- 开机很快
- 随时更新
- 没有垃圾软件
- 没有后门
- 没有病毒
- 稳定性
- 兼容性
- 安全性能增强
- 运行快，反应灵敏
- Linux不需要碎片整理
- 额，选择Linux确实对环境有影响. (Google it)
- 自由无限的支持 - 论坛、邮件列表、IRC频道
- 工作区特性 - 下一代桌面
- 没有大麻烦
- 报告bug并得到修复
- 你不会感到孤单
- 我贡献，我快乐，予人玫瑰，手留余香
- 其它操作系统归公司所有，微软拥有Windows，苹果拥有Mac-OS。Linux？我们拥有！

总之,不仅仅是阅读这篇文章，你一定要亲自试试看，品味这种感觉 - 自由无价。

对我来说， **linuxing 是沉思**。 你呢？ :)

**如果同意我的观点，cheers！现在是该把Linux（这杯美酒）“倾入”你的杯中慢慢“品味”了。**

**如果不同意我的观点，再一次cheers。你可以用各种方法来证明我是错的。**

Google 一下"linuxing urban dictionary”（译者注：urban dictionary是一个专供网友发表一些特殊单词或短语解释的平台，这上面有许多正常词典里面查不到的词条，即使是正常词典里面有的，在这里也会有新的精辟解释。网友们还可以对每一个词条进行投票)。

感谢阅读。来，笑一个 :D Cheers！

--------------------------------------------------------------------------------

via: http://www.unixmen.com/cant-live-without-linux/

译者：[flsf](https://github.com/flsf) 校对：[Caroline](https://github.com/carolinewuyan) ，[Mr小眼儿](http://blog.csdn.net/tinyeyeser)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出
