What will your business look like in 2030?
================================================================================
![](http://cdn1.tnwcdn.com/wp-content/blogs.dir/1/files/2014/06/business-man-roof-deck-798x310.jpg)

lya Pozin is a serial entrepreneur, writer, and investor. He is the founder of online video entertainment platform [Pluto.TV][1], social greeting card company [Open Me][2], and digital marketing agency [Ciplex][3].

The year is 2030, and you’re walking into the front doors of your company. What will it look like, what functions will your employees be performing and how will you stack up against the competition?

You might not be considering the future, but remember that [25 years ago][4], only 15 percent of US households had a personal computer. While 73 percent of online adults currently have a social media account, social media barely existed 15 years ago.

Technology is always changing, and with it come disruptions to industries, companies and the employment marketplace. The future is closing in, but is your company ready?

### Why should you be worried? ###

In business, to stop moving forward means your company is stagnating; for many companies, stagnation equates to eventual death. Companies clinging to outmoded and outdated business practices eventually run into major problems. There are examples everywhere in the marketplace, from struggling BlackBerry phones to Kodak slowly shuttering its film business.

According to [futurist and TED talk speaker Thomas Frey][5], two billion jobs will disappear by 2030 thanks to shifting technologies and changing needs. You can’t afford to be behind the pack when the future comes calling.

### What will 2030 look like? ###

![](http://cdn1.tnwcdn.com/wp-content/blogs.dir/1/files/2014/05/calendar.jpg)

Recently, the [Canadian Scholarship Trust][6], as part of its Inspired Minds campaign, [put together a list of the jobs][7] we might all be hiring for in 2030. These jobs range from “Company Culture Ambassador” to – get this! – “Nostalgist.” 

Taking CST’s lead, I spoke to some entrepreneurs and innovators in different fields, from medicine to marketing, to see their predictions for how businesses will be run in the future. Hopping in our time travel machine, here’s a glimpse at what 2030 might look like: 

### Cloud-based ###

“Everything will be cloud-based with faster speeds,” said Marjorie Adams, [AQB][8] CEO and President. “The technologies coming out now will be better defined and connected. While innovation from the business side could be a lot slower-going than the consumer side, we will have a lot more data to understand real needs.”

### Automated ###

Google is already leading the way with the self-driving car, but automation might creep into other aspects of our lives in the future. 

“Home automation will be very different in 2030,” said Andrew Thomas, co-founder of [SkyBell Technologies, Inc][9] .“We’ll all have brain-sensing headbands and glasses and we’ll just ‘think’ about locking the door or turning off the lights. Our fridge will email the store when we’re low on food and our self-driving cars will go pick up the groceries for us!”

### Human curated ###

As more and more options become available to consumers, we’ll all become overwhelmed by choice. Human curation will come back into vogue for everything from music to online video.

We’re already seeing the trend start now with [Apple’s acquisition][10] of human curated music service Beats. After all, do you really think apps are [smarter than you][11]?

### Socially-connected ###

If you can’t watch the latest episode of Scandal or Game of Thrones, it’s common sense to stay off your Facebook and Twitter feeds.

“Imagine a media environment 15 years into the future where no object or entertainment venue is out of reach for second-screen integration with social media,” said Jared Feldman, CEO and founder of [Mashwork][12]. “Social platforms like Facebook and Twitter might as well be agnostic at this point in time since consumers will have aggregated all of their digital social life into consolidated user profiles designed to curate multiple feeds and allow for single-source user engagement.”

### Targeted ###

Already advertising is becoming more and more targeted to consumers needs thanks to big data and algorithms. Don’t expect this trend to move backwards, at least according to [FlexOne][13] CEO Matthijs Keij.

“Advertisers will know more about you than you yourself. Which products you like, how to improve your personal and work life, and even how to be more healthy. Sounds a little like Huxley’s Brave New World? Maybe…but consumers might actually like it.”

### How do your prepare? ###

![](http://cdn1.tnwcdn.com/wp-content/blogs.dir/1/files/2011/01/Crystal-Ball-12-27-09-iStock_000003107697XSmall.jpg)

Preparing for the future might seem impossible, but you don’t need a crystal ball to keep abreast of changes. It’s important to always keep up with trends and emerging technology, both in the economy in general and within your industry in particular.

Go to conferences, attend industry talks, and make time for industry trade shows. Pay attention to the new technology entering your sector, and don’t turn your nose up at something new just because it’s different than the way things have always been. 

Understand your customers and know what they need, because the future is looking more consumer-focused than ever before, even in segments like healthcare. “The paradigm is shifting to a more “consumer-centric” model,” said Robert Grajewski, CEO of [Edison Nation Medical][14]. “Healthcare as a whole will shift to this individual care focus.”

Companies that understand their core competencies and their consumer needs will have a leg up on the competition.

As more digital natives come of age and flock into the economy, some highly skilled fields will see consumers picking up additional skills. 

“By 2030 virtually everyone will be a designer, equipped with knowledge of the hottest mega trends and ripe and ready to replace those who can’t keep up with the latest software,” said Ashley Mady, CEO of [Brandberry][15].

“The best way to prepare for this inevitable shift in the design world is to focus on creative, big picture thinking over production, which will soon become a commodity. Designers should remain innovative by developing their own adaptable brands and technology that will grow alongside the quickly evolving world we live in.”

Finally, it’s important to be open, curious, and willing to pivot. New technologies are going to come along to improve, and sometimes complicate, your business. You need to be willing to embrace these new paradigms, or you risk your company becoming obsolete.

What do you think? How do you plan to prepare for the future? Share in the comments! 

--------------------------------------------------------------------------------

via: http://thenextweb.com/entrepreneur/2014/06/18/will-business-look-like-2030/?utm_campaign=share%20button&utm_content=What%20will%20your%20business%20look%20like%20in%202030?&awesm=tnw.to_q3L0P&utm_source=copypaste&utm_medium=referral

译者：[译者ID](https://github.com/译者ID) 校对：[校对者ID](https://github.com/校对者ID)

本文由 [LCTT](https://github.com/LCTT/TranslateProject) 原创翻译，[Linux中国](http://linux.cn/) 荣誉推出

[1]:http://pluto.tv/
[2]:http://www.openme.com/
[3]:http://www.ciplex.com/
[4]:http://www.cnbc.com/id/101611509
[5]:http://www.futuristspeaker.com/2012/02/2-billion-jobs-to-disappear-by-2030/
[6]:http://www.cst.org/
[7]:http://careers2030.cst.org/jobs/
[8]:http://www.aqb.com/
[9]:http://www.skybell.com/
[10]:http://thenextweb.com/apple/2014/05/28/apple-confirms-acquisition-beats/
[11]:http://thenextweb.com/apps/2013/10/19/i-let-apps-tell-me-how-to-live-for-a-day/
[12]:http://mashwork.com/
[13]:http://www.flxone.com/
[14]:http://www.edisonnationmedical.com/
[15]:http://www.brandberry.com/